Bug 806926 - Review Request: tinycdb - Utility and library for manipulating constant databases
Review Request: tinycdb - Utility and library for manipulating constant datab...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 10:08 EDT by Tom "spot" Callaway
Modified: 2012-04-11 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: tinycdb-0.77-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:59:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2012-03-26 10:08:19 EDT
Spec URL: http://spot.fedorapeople.org/tinycdb.spec
SRPM URL: http://spot.fedorapeople.org/tinycdb-0.77-4.fc17.src.rpm
Description: 
tinycdb is a small, fast and reliable utility and subroutine library for
creating and reading constant databases. The database structure is tuned
for fast reading.
Koji Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3933211

Please note: This package was previously retired in Fedora due to FTBFS.
Comment 1 Rex Dieter 2012-03-26 11:02:04 EDT
i'll give it a whirl
Comment 2 Rex Dieter 2012-03-26 11:22:00 EDT
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3933487

$ rpmlint *.src.rpm tinycdb tinycdb-devel
tinycdb.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcdb.so.1 linux-vdso.so.1
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
(mostly harmless)

SHOULD: please add comment near sed in %prep to explain it's purpose (it's only ~%95 obvious at first glance).

Naming: ok

Licensing: ok

Sources: ok
$ md5sum *.gz
c00e5fb96c30356ac3b67b2ab5d5641b  tinycdb_0.77.tar.gz

macros: ok

scriplets: ok

-devel deps: ok

The rest is fairly simple, and clean.


APPROVED.
Comment 3 Tom "spot" Callaway 2012-03-26 11:37:50 EDT
Package Change Request
======================
Package Name: tiny-cdb
New Branches: F16 F17
Owners: spot
InitialCC:
Comment 4 Gwyn Ciesla 2012-03-26 12:06:10 EDT
Should be a New Package Request, not Change.
Comment 5 Rex Dieter 2012-03-26 12:12:22 EDT
should be Package Name: tinycdb
I guess, which does match an existing one (adjusting Summary to match)
Comment 6 Tom "spot" Callaway 2012-03-26 13:27:44 EDT
Package Change Request
======================
Package Name: tinycdb
New Branches: F16 F17
Owners: spot
InitialCC:
Comment 7 Gwyn Ciesla 2012-03-26 14:01:26 EDT
Git done (by process-git-requests).

Unretired devel, take ownership of devel and f15.
Comment 8 Fedora Update System 2012-03-27 09:35:28 EDT
tinycdb-0.77-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tinycdb-0.77-4.fc17
Comment 9 Fedora Update System 2012-03-28 02:00:33 EDT
tinycdb-0.77-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-11 22:59:23 EDT
tinycdb-0.77-4.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.